LibreOffice: XFastDocumentHandler Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XFastDocumentHandler Interface Reference

receives notification of sax document events from a XFastParser More...

`import"XFastDocumentHandler.idl";`

Inheritance diagram for XFastDocumentHandler:

## Public Member Functions
void | startDocument () raises ( com::sun::star::xml::sax::SAXException )
| called by the parser when parsing of an XML stream is started. More...
void | endDocument () raises ( com::sun::star::xml::sax::SAXException )
| called by the parser after the last XML element of a stream is processed. More...
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator xLocator) raises ( com::sun::star::xml::sax::SAXException )
| receives an object for locating the origin of SAX document events. More...
Public Member Functions inherited from XFastContextHandler
void | startFastElement ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element . More...
void | startUnknownElement ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an unknown element . More...
void | endFastElement ([in] long Element) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an known element. More...
void | endUnknownElement ([in] string Namespace, [in] string Name) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an known element. More...
XFastContextHandler | createFastChildContext ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a known child element. More...
XFastContextHandler | createUnknownChildContext ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a unknown child element . More...
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives notification of sax document events from a XFastParser

## Member Function Documentation

## ◆ endDocument()

void endDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

called by the parser after the last XML element of a stream is processed.

## ◆ setDocumentLocator()

void setDocumentLocator | ( | [in] com::sun::star::xml::sax::XLocator | xLocator | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives an object for locating the origin of SAX document events.

## ◆ startDocument()

void startDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

called by the parser when parsing of an XML stream is started.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XFastDocumentHandler.idl